Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.interfaces
Interface PdfAnnotations

All Known Implementing Classes:
  FdfWriter.Wrt, PdfCopy, PdfCopyFieldsImp, PdfCopyFormsImp, PdfSmartCopy, PdfStamperImp, PdfWriter

    public interface PdfAnnotations

Method Summary
`void` | `addAnnotation(PdfAnnotation annot)` Use this methods to add a `PdfAnnotation` or a `PdfFormField` to the document.
`void` | `addCalculationOrder(PdfFormField annot)` Use this method to adds the `PdfAnnotation` to the calculation order array.
`PdfAcroForm` | `getAcroForm()` Use this methods to get the AcroForm object.
`void` | `setSigFlags(int f)` Use this method to set the signature flags.

Method Detail

### getAcroForm

    PdfAcroForm getAcroForm()

  Use this methods to get the AcroForm object. Use this method only if you know what you're doing

  Returns:
    the PdfAcroform object of the PdfDocument

### addAnnotation

    void addAnnotation(PdfAnnotation annot)

  Use this methods to add a `PdfAnnotation` or a `PdfFormField` to the document. Only the top parent of a `PdfFormField` needs to be added.

  Parameters:
    `annot` - the `PdfAnnotation` or the `PdfFormField` to add

### addCalculationOrder

    void addCalculationOrder(PdfFormField annot)

  Use this method to adds the `PdfAnnotation` to the calculation order array.

  Parameters:
    `annot` - the `PdfAnnotation` to be added

### setSigFlags

    void setSigFlags(int f)

  Use this method to set the signature flags.

  Parameters:
    `f` - the flags. This flags are ORed with current ones

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD